<?php

/**
 * @author Jaap Jansma (CiviCooP) <jaap.jansma@civicoop.org>
 * @license http://www.gnu.org/licenses/agpl-3.0.html
 */
 
 namespace Civi\FormProcessor\Type;
 
 use \Civi\FormProcessor\Type\AbstractType;
 use \Civi\FormProcessor\Type\OptionListInterface;
 
 class StateProvinceType extends AbstractType implements OptionListInterface {
   
     
  public function validateValue($value, $allValues=array()) {
    if (\CRM_Utils_Type::validate($value, 'Integer', false) === NULL) {
      return false;
    }
    
    $countries = $this->getOptions(array());
    if (!isset($countries[$value])) {
      return false;
    }
    
    return true;
  }
  
  /**
   * Returns the type number from CRM_Utils_Type
   */
  public function getCrmType() {
    return \CRM_Utils_Type::T_INT;
  }
  
  public function getOptions($params) {
    return \CRM_Core_PseudoConstant::stateProvince();
  }
   
 }